List operating systems for an SBM flavor

GET/v1/locations/{location_id}/order_options/sbm_flavor_models/{sbm_flavor_model_id}/operating_systems

A GET request to /v1/locations/{location_id}/order_options/sbm_flavor_models/{sbm_flavor_model_id}/operating_systems will show operating systems available for an SBM server within a specified location. Location and flavor IDs have to be specified in the path parameters. Windows operating systems are unavailable for SBM servers.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

location_id*string

A unique identifier of a location. A request to list all the location IDs is described in the Location section.

sbm_flavor_model_id*string

A unique identifier of an SBM flavor. To list all flavors, use the relevant request.

Query Parameters

per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id. You can also sort by name, version or arch parameters.

Default"id"

Value in

  • "id"
  • "name"
  • "version"
  • "arch"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/locations/1588/order_options/sbm_flavor_models/2708/operating_systems"
[  {    "id": 269,    "full_name": "Ubuntu 18.04-server x86_64",    "name": "Ubuntu",    "version": "18.04-server",    "arch": "x86_64",    "filesystems": [      "ext2",      "ext4",      "swap",      "xfs",      "reiser"    ]  },  {    "id": 270,    "full_name": "Debian 7 x86_64",    "name": "Debian",    "version": "7",    "arch": "x86_64",    "filesystems": [      "ext2",      "ext4",      "swap",      "xfs",      "reiser"    ]  },  {    "id": 272,    "full_name": "Debian 7 x86_64",    "name": "Debian",    "version": "7",    "arch": "x86_64",    "filesystems": [      "ext2",      "ext4",      "swap",      "xfs",      "reiser"    ]  }]
{  "message": "Not found",  "code": "NOT_FOUND"}